#
# spec file for package perl-JSON-PP
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           perl-JSON-PP
Version:        2.27400
Release:        1.1
%define cpan_name JSON-PP
Summary:        JSON::XS compatible pure-Perl module
License:        Artistic-1.0 or GPL-1.0+
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/dist/JSON-PP/
Source0:        http://www.cpan.org/authors/id/M/MA/MAKAMAKA/%{cpan_name}-%{version}.tar.gz
Source1:        cpanspec.yml
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
%{perl_requires}

%description
This module is JSON::XS compatible pure Perl module. (Perl 5.8 or later is
recommended)

JSON::XS is the fastest and most proper JSON module on CPAN. It is written
by Marc Lehmann in C, so must be compiled and installed in the used
environment.

JSON::PP is a pure-Perl module and has compatibility to JSON::XS.

%prep
%setup -q -n %{cpan_name}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make} %{?_smp_mflags}

%check
%{__make} test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc Changes README

%changelog
* Thu May  5 2016 coolo@suse.com
- updated to 2.27400
  see /usr/share/doc/packages/perl-JSON-PP/Changes
* Mon Dec  1 2014 seife+obs@b1-systems.com
- update to 2.27300
  - fixed return/or in _incr_parse
  - occasionally failed in t/019_incr.t in Perl 5.17.6 or more
- add specfile hacks to fix build on 13.1 or newer
* Tue Nov 29 2011 coolo@suse.com
- update to 2.27200
  fixed incr_parse docodeing string more correctly (RT#68032 by LCONS)
* Mon Apr  4 2011 coolo@novell.com
- initial package 2.27105
  * created by cpanspec 1.78.03
